PipeWire 1.6.5

Loading...
Searching...
No Matches
pw_loop Struct Reference
Core API » Loop

`#include <pipewire/loop.h>`

## Data Fields
struct spa_system * | system
| system utils
struct spa_loop * | loop
| wrapped loop
struct spa_loop_control * | control
| loop control

## Detailed Description

Examples
  audio-src-ring.c, audio-src-ring2.c, export-spa-device.c, export-spa.c, gmain.c, and internal.c.

## Field Documentation

## ◆ system

struct spa_system* pw_loop::system

system utils

## ◆ loop

struct spa_loop* pw_loop::loop

wrapped loop

Examples
  gmain.c, and internal.c.

## ◆ control

struct spa_loop_control* pw_loop::control

loop control

The documentation for this struct was generated from the following file:

- pipewire/loop.h